### Function

# GLib ref_string_length

since: 2.58

#### Declaration [src]

    gsize
    g_ref_string_length (
      char* str
    )

#### Description [src]

Retrieves the length of `str`.

Available since: 2.58

#### Parameters

`str`

  Type: `char*`

  A reference counted string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gsize`

The length of the given string, in bytes.